Every Hologram Plugin (1.14+) crashes paper (and spigot) servers

Crash report - multiple hologram plugins throw this and crash the entire server

A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------
-- Head --
Thread: Server thread
Stacktrace:
	at com.gmail.filoghost.holographicdisplays.nms.v1_14_R1.EntityNMSArmorStand.getBukkitEntity(EntityNMSArmorStand.java:206)
	at net.minecraft.server.v1_14_R1.WorldServer.registerEntity(WorldServer.java:1149)
	at net.minecraft.server.v1_14_R1.WorldServer.doTick(WorldServer.java:372)

The same/Similar errors for multiple hologram plugins, always involving nms and armor stands.

Spigot recently made some changes to the server which broke many plugins accessing stuff in the server in an improper and unreliable manner, Holograhicdisplays should be working fine with the latest dev build of their plugin, release version is too outdated

I have same problem, not even Holographic display its working for me i tried multipe versions. I can’t use hologram puglin in 1.14.3. Any fixes?

https://ci.codemc.org/job/filoghost/job/HolographicDisplays/85/

Thanks. been having the same issue